create entity
curl --request POST \
--url https://api.example.com/api/v1/audit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contractId": 123,
"cerAuditorId": 123,
"auditedAt": 1,
"expiredAt": 1
}
'import requests
url = "https://api.example.com/api/v1/audit"
payload = {
"contractId": 123,
"cerAuditorId": 123,
"auditedAt": 1,
"expiredAt": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({contractId: 123, cerAuditorId: 123, auditedAt: 1, expiredAt: 1})
};
fetch('https://api.example.com/api/v1/audit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contractId": 123,
"cerAuditorId": 123,
"auditStatus": "RELEVANT",
"auditedAt": 123,
"expiredAt": 123,
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE"
}Contract Audit Route
create entity
POST
/
api
/
v1
/
audit
create entity
Authorizations
Authentication
Body
application/json
Contract Audit contract id
Contract Audit auditor id from CER associated with the audit
Contract Audit status of the audit
Available options:
RELEVANT, NOT_RELEVANT Contract Audit date time
Required range:
x >= 0Contract Audit expiration date time
Required range:
x >= 0Status of the entity. Default: 'ACTIVE'
Available options:
ACTIVE, DISABLED, DELETED Response
200 - application/json
OK
Contract Audit contract id
Contract Audit auditor id from CER associated with the audit
Contract Audit status of the audit
Available options:
RELEVANT, NOT_RELEVANT Contract Audit date time
Contract Audit expiration date time
Unique identifier of the entity
Example:
1
Time when entity was created
Time when entity was updated
Status of the entity. Default: 'ACTIVE'
Available options:
ACTIVE, DISABLED, DELETED